Skip to main content
POST
Create a new option for a custom field

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

custom_field_id
integer<uint64>
required

ID of the custom field

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Request body for creating a custom field option

title
string
required

The title of the option

Example:

"Blue"

description
string

Description of the option

Example:

"Select this if blue is your favorite color"

Response

The created custom field option object

Custom field options are the selectable values for dropdown custom fields

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

created_at
string<date-time>
required

The date and time the record was created

Example:

"2026-07-14T19:59:54+00:00"

updated_at
string<date-time>
required

The date and time the record was last modified

Example:

"2026-07-14T19:59:54+00:00"

title
string
required

The title of the option

Example:

"Blue"

custom_field_id
integer<uint64>
required

The ID of the custom field this option belongs to

member_count
integer<uint64>
required

The number of members who have selected this option

is_ad_hoc
boolean
required

Whether this option was created by a member (ad-hoc) or by a host

creator_id
integer<uint64>
required

The ID of the member who created this option

description
string

The description of the option

Example:

"Select this if blue is your favorite color"